import { _decorator, Component } from 'cc'
import AdapterHelper from '../../engine/utils/AdapterHelper'

const { ccclass, property } = _decorator

@ccclass('SceneBase')
export default class SceneBase extends Component {
  public static scriptName: string = 'SceneBase'

  onLoad() {
    AdapterHelper.fixApdater()
    this.onLoadMe()
  }

  onLoadMe() {
  }

  start() {
    this.onStartMe()
  }

  onStartMe() {
  }

  onDestroy() {
    this.onDestroyMe()
  }

  onDestroyMe() {
  }
}
